Bug 136822 - inet0 doesn't show any connections after setup
inet0 doesn't show any connections after setup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gkrellm (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-22 11:07 EDT by raxet
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 10:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description raxet 2004-10-22 11:07:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Going into gkrellm config and setup inet0, I set up http 80 8080
(selecting Port0 - Port1 is a range) and then setup ftp 21. No
activity is shown or graphed at all? Clicking status button yields the
message "No current connections".



Version-Release number of selected component (if applicable):
gkrellm-2.2.2-2

How reproducible:
Always

Steps to Reproduce:
1. go into gkrellm setup for inet 0
2. define http 80 8080 and ftp 21
3. no activity is displayed
    

Actual Results:  
0 ftp
0 http

Expected Results:  Should be quite active in displaying results

Additional info:
Comment 1 Andrew Farris 2004-10-24 18:45:38 EDT
Still recording traffic for me on ssh and a global system ports I setup (1-1024)
to test.  Connections dialog shows open connections to gaim and irc.  Apparently
its not completely broken.

The relevant inet config from ~/.gkrellm2/user_config:
inet monitor inet0 system 0 65535 ssh 22 2200 1 1 0
inet chart_config inet0:minute 30 2 0 1 0 0 : 0 0 0 0 500 : 0 0 0 0 500
inet chart_config inet0:hour 30 10 0 1 0 0 : 0 0 0 0 500 : 0 0 0 0 500

inet text_format all \r\f $M\D1$a\f $l   $c30 \D2$A\f $L   $C30
inet update_interval 1
Comment 2 Karsten Hopp 2005-02-10 10:40:14 EST
gkrellm shows only open connections, http immediately closes when the
page is transmitted (unless there's some streaming going on), gkrellmd
isn't usable to monitor your webserver.

Your ssh/ftp config will only show incoming ssh/ftp connections,
outgoing connections usually use higher, random portnumbers

Monitoring of incoming connections work for me with the exception of
http for abouve reasons.


Note You need to log in before you can comment on or make changes to this bug.